Unverified Commit a66eac21 authored by André Silva's avatar André Silva Committed by GitHub
Browse files

Release version v0.7.27 (#916)

* bump version to v0.7.27

* update to latest substrate polkadot-master

* bump runtime impl_version
parent 0978929b
Pipeline #83753 passed with stages
in 23 minutes and 9 seconds
......@@ -11,11 +11,11 @@ dependencies = [
[[package]]
name = "adder"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"dlmalloc 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.26",
"polkadot-parachain 0.7.27",
"sp-io 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-wasm-builder-runner 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"tiny-keccak 1.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -25,13 +25,13 @@ dependencies = [
name = "adder-collator"
version = "0.1.0"
dependencies = [
"adder 0.7.26",
"adder 0.7.27",
"futures 0.3.4 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.10.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-collator 0.7.26",
"polkadot-parachain 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-collator 0.7.27",
"polkadot-parachain 0.7.27",
"polkadot-primitives 0.7.27",
"sc-client 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-core 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1151,7 +1151,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "fork-tree"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -1159,7 +1159,7 @@ dependencies = [
[[package]]
name = "frame-benchmarking"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1174,7 +1174,7 @@ dependencies = [
[[package]]
name = "frame-benchmarking-cli"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1192,7 +1192,7 @@ dependencies = [
[[package]]
name = "frame-executive"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1205,7 +1205,7 @@ dependencies = [
[[package]]
name = "frame-metadata"
version = "11.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1216,7 +1216,7 @@ dependencies = [
[[package]]
name = "frame-support"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"bitmask 0.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-metadata 11.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1240,7 +1240,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support-procedural-tools 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro2 1.0.8 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1251,7 +1251,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support-procedural-tools-derive 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1263,7 +1263,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools-derive"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"proc-macro2 1.0.8 (registry+https://github.com/rust-lang/crates.io-index)",
"quote 1.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1273,7 +1273,7 @@ dependencies = [
[[package]]
name = "frame-system"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1289,7 +1289,7 @@ dependencies = [
[[package]]
name = "frame-system-rpc-runtime-api"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1610,7 +1610,7 @@ dependencies = [
[[package]]
name = "halt"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"substrate-wasm-builder-runner 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -2072,7 +2072,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2111,9 +2111,9 @@ dependencies = [
"pallet-utility 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-vesting 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-runtime-common 0.7.26",
"polkadot-parachain 0.7.27",
"polkadot-primitives 0.7.27",
"polkadot-runtime-common 0.7.27",
"rustc-hex 2.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
"serde_derive 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3044,7 +3044,7 @@ dependencies = [
[[package]]
name = "pallet-authority-discovery"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3062,7 +3062,7 @@ dependencies = [
[[package]]
name = "pallet-authorship"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3079,7 +3079,7 @@ dependencies = [
[[package]]
name = "pallet-babe"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3100,7 +3100,7 @@ dependencies = [
[[package]]
name = "pallet-balances"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3115,7 +3115,7 @@ dependencies = [
[[package]]
name = "pallet-collective"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3130,7 +3130,7 @@ dependencies = [
[[package]]
name = "pallet-democracy"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3144,7 +3144,7 @@ dependencies = [
[[package]]
name = "pallet-elections-phragmen"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3157,7 +3157,7 @@ dependencies = [
[[package]]
name = "pallet-finality-tracker"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3173,7 +3173,7 @@ dependencies = [
[[package]]
name = "pallet-grandpa"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3191,7 +3191,7 @@ dependencies = [
[[package]]
name = "pallet-identity"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"enumflags2 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3207,7 +3207,7 @@ dependencies = [
[[package]]
name = "pallet-im-online"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3226,7 +3226,7 @@ dependencies = [
[[package]]
name = "pallet-indices"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3242,7 +3242,7 @@ dependencies = [
[[package]]
name = "pallet-membership"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3256,7 +3256,7 @@ dependencies = [
[[package]]
name = "pallet-nicks"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3270,7 +3270,7 @@ dependencies = [
[[package]]
name = "pallet-offences"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3285,7 +3285,7 @@ dependencies = [
[[package]]
name = "pallet-randomness-collective-flip"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3298,7 +3298,7 @@ dependencies = [
[[package]]
name = "pallet-recovery"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"enumflags2 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3313,7 +3313,7 @@ dependencies = [
[[package]]
name = "pallet-session"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3331,7 +3331,7 @@ dependencies = [
[[package]]
name = "pallet-society"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3346,7 +3346,7 @@ dependencies = [
[[package]]
name = "pallet-staking"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3365,7 +3365,7 @@ dependencies = [
[[package]]
name = "pallet-staking-reward-curve"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro2 1.0.8 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3376,7 +3376,7 @@ dependencies = [
[[package]]
name = "pallet-sudo"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3390,7 +3390,7 @@ dependencies = [
[[package]]
name = "pallet-timestamp"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3407,7 +3407,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3420,7 +3420,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"jsonrpc-core 14.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"jsonrpc-core-client 14.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3438,7 +3438,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc-runtime-api"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3451,7 +3451,7 @@ dependencies = [
[[package]]
name = "pallet-treasury"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3465,7 +3465,7 @@ dependencies = [
[[package]]
name = "pallet-utility"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3480,7 +3480,7 @@ dependencies = [
[[package]]
name = "pallet-vesting"
version = "2.0.0-alpha.4"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#79d75af4d11891a47ace0fe6bc909392b14343cf"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#68e51d6e24862d499b5f042321cc87b172579e74"
dependencies = [
"enumflags2 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-support 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3733,20 +3733,20 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "polkadot"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"assert_cmd 0.12.0 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.4 (registry+https://github.com/rust-lang/crates.io-index)",
"nix 0.17.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-util-mem 0.5.2 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-cli 0.7.26",
"polkadot-service 0.7.26",
"polkadot-cli 0.7.27",
"polkadot-service 0.7.27",
"vergen 3.0.4 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "polkadot-availability-store"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3757,8 +3757,8 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-erasure-coding 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-erasure-coding 0.7.27",
"polkadot-primitives 0.7.27",
"sc-client 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-keystore 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3773,12 +3773,12 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"frame-benchmarking-cli 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"futures 0.3.4 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-service 0.7.26",
"polkadot-service 0.7.27",
"sc-cli 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3796,17 +3796,17 @@ dependencies = [
[[package]]
name = "polkadot-collator"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"futures 0.3.4 (registry+https://github.com/rust-lang/crates.io-index)",
"futures-timer 2.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-cli 0.7.26",
"polkadot-network 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-service 0.7.26",
"polkadot-validation 0.7.26",
"polkadot-cli 0.7.27",
"polkadot-network 0.7.27",
"polkadot-primitives 0.7.27",
"polkadot-service 0.7.27",
"polkadot-validation 0.7.27",
"sc-cli 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-client-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3822,11 +3822,11 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"derive_more 0.15.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.7.26",
"polkadot-primitives 0.7.27",
"reed-solomon-erasure 4.0.0 (git+https://github.com/paritytech/reed-solomon-erasure)",
"sp-core 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-trie 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3834,7 +3834,7 @@ dependencies = [
[[package]]
name = "polkadot-network"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"arrayvec 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
"bytes 0.5.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3845,10 +3845,10 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.7.26",
"polkadot-erasure-coding 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-validation 0.7.26",
"polkadot-availability-store 0.7.27",
"polkadot-erasure-coding 0.7.27",
"polkadot-primitives 0.7.27",
"polkadot-validation 0.7.27",
"sc-client 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-network 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-network-gossip 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3885,11 +3885,11 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"adder 0.7.26",
"adder 0.7.27",
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"halt 0.7.26",
"halt 0.7.27",
"lazy_static 1.4.0 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3908,12 +3908,12 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"pallet-babe 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.26",
"polkadot-parachain 0.7.27",
"pretty_assertions 0.5.1 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3929,12 +3929,12 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"jsonrpc-core 14.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"pallet-transaction-payment-rpc 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.7.26",
"polkadot-primitives 0.7.27",
"sc-client 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-rpc 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3945,7 +3945,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3982,9 +3982,9 @@ dependencies = [
"pallet-treasury 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-vesting 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-runtime-common 0.7.26",
"polkadot-parachain 0.7.27",
"polkadot-primitives 0.7.27",
"polkadot-runtime-common 0.7.27",
"rustc-hex 2.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
"serde_derive 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4011,7 +4011,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4031,8 +4031,8 @@ dependencies = [
"pallet-treasury 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-vesting 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-parachain 0.7.27",
"polkadot-primitives 0.7.27",
"rustc-hex 2.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
"serde_derive 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4051,13 +4051,13 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"frame-benchmarking 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system-rpc-runtime-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"futures 0.3.4 (registry+https://github.com/rust-lang/crates.io-index)",
"hex-literal 0.2.1 (registry+https://github.com/rust-lang/crates.io-index)",
"kusama-runtime 0.7.26",
"kusama-runtime 0.7.27",
"lazy_static 1.4.0 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"pallet-babe 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4066,13 +4066,13 @@ dependencies = [
"pallet-transaction-payment-rpc-runtime-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.7.26",
"polkadot-network 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-rpc 0.7.26",
"polkadot-runtime 0.7.26",
"polkadot-availability-store 0.7.27",
"polkadot-network 0.7.27",
"polkadot-primitives 0.7.27",
"polkadot-rpc 0.7.27",
"polkadot-runtime 0.7.27",
"polkadot-test-runtime-client 2.0.0",
"polkadot-validation 0.7.26",
"polkadot-validation 0.7.27",
"sc-authority-discovery 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-block-builder 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sc-chain-spec 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4108,16 +4108,16 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.7.26"
version = "0.7.27"
dependencies = [
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.7.26",
"polkadot-primitives 0.7.27",
"sp-core 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "polkadot-test-runtime"
version = "0.7.21"
version = "0.7.27"
dependencies = [
"bitvec 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-executive 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4143,9 +4143,9 @@ dependencies = [
"pallet-transaction-payment-rpc-runtime-api 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-vesting 2.0.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.7.26",
"polkadot-primitives 0.7.26",
"polkadot-runtime-common 0.7.26",
"polkadot-parachain 0.7.27",
"polkadot-primitives 0.7.27",
"polkadot-runtime-common 0.7.27",
"rustc-hex 2.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
"serde_derive 1.0.104 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4175,7 +4175,7 @@ version = "2.0.0"
dependencies = [
"futures 0.3.4 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-test-runtime 0.7.21",
"polkadot-test-runtime 0.7.27",
"sc-block-builder 0.8.0-alpha.4 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",